"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_1 = require("typescript");
const primitive_1 = require("../primitive");
const react_component_renderer_1 = require("../react-component-renderer");
class CustomComponentRenderer extends react_component_renderer_1.ReactComponentRenderer {
    renderElement(renderChildren) {
        const children = this.component.children ? this.component.children : [];
        const element = typescript_1.factory.createJsxElement(this.renderOpeningElement(), renderChildren(children), typescript_1.factory.createJsxClosingElement(typescript_1.factory.createIdentifier(this.component.componentType)));
        if (Object.keys(primitive_1.Primitive).includes(this.component.name) && this.component.componentType.match(/(Custom$)/g)) {
            this.importCollection.addImport(`./${this.component.name}`, this.component.componentType);
        }
        else {
            this.importCollection.addImport(`./${this.component.componentType}`, 'default');
        }
        return element;
    }
}
exports.default = CustomComponentRenderer;
//# sourceMappingURL=customComponent.js.map